PostgreSQL 9.2.12 Documentation
Prev | Up |  | Next

# pg_test_fsync

## Name

pg_test_fsync -- determine fastest wal_sync_method for PostgreSQL

## Synopsis

`pg_test_fsync` [`option`...]

## Description

pg_test_fsync is intended to give you a reasonable idea of what the fastest wal_sync_method is on your specific system, as well as supplying diagnostic information in the event of an identified I/O problem. However, differences shown by pg_test_fsync might not make any difference in real database throughput, especially since many database servers are not speed-limited by their transaction logs.

## Options

pg_test_fsync accepts the following command-line options:

`-f`
`--filename`

  Specifies the file name to write test data in. This file should be in the same file system that the `pg_xlog` directory is or will be placed in. (`pg_xlog` contains the WAL files.) The default is `pg_test_fsync.out` in the current directory.

`-s`
`--secs-per-test`

  Specifies the number of seconds for each test. The more time per test, the greater the test's accuracy, but the longer it takes to run. The default is 2 seconds, which allows the program to complete in about 30 seconds.

`-V`
`--version`

  Print the pg_test_fsync version and exit.

`-?`
`--help`

  Show help about pg_test_fsync command line arguments, and exit.

## Author

Bruce Momjian `<bruce@momjian.us>`

## See Also

postgres

Prev | Home | Next
pg_standby | Up | pg_test_timing